---
updatedAt: 2025-06-05T20:53:39.000Z
agentTools:
  projectIndex: https://developers.mindmeister.com/llms.txt
---

# /maps/{id} as image

This end-point is deprecated and should be changed by /map_images/{id}.
Get map as an image file. The formats png and jpeg are supported.

### Scopes

* **mindmeister.readonly**
* **mindmeister**

> 📘 Personal subscription required
>
> The resource owner must have a valid subscription of the Personal plan to get the map as an image.

> ❗️ Deprecation warning
>
> This end point is deprecated and should be replaced by **/map\_images/\{id}**.\
> This end point will be removed on 10th August 2021.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-settings",
    "version": "2"
  },
  "servers": [
    {
      "url": "https://www.mindmeister.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "access_token",
        "in": "query",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/maps/{id}.{image_format}": {
      "get": {
        "summary": "/maps/{id} as image",
        "description": "This end-point is deprecated and should be changed by /map_images/{id}.\nGet map as an image file. The formats png and jpeg are supported.",
        "operationId": "maps-as-image",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The id of the map.",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "image_format",
            "in": "path",
            "description": "Supported formats are 'png' and 'jpeg'.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "disposition",
            "in": "query",
            "description": "Specifies whether the image will be shown inline or downloaded. Valid values are ‘inline’ and ‘attachment’.",
            "schema": {
              "type": "string",
              "default": "attachment"
            }
          },
          {
            "name": "centered",
            "in": "query",
            "description": "If true the root node is in the center of the image.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "expanded",
            "in": "query",
            "description": "If true all sub nodes are shown, otherwise not expanded nodes are hidden.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "no_background",
            "in": "query",
            "description": "If true the background of the map is hidden.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "width",
            "in": "query",
            "description": "The width in pixels of the image.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "height",
            "in": "query",
            "description": "The height in pixels of the image.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "keep_ratio",
            "in": "query",
            "description": "If false the provided width and/or height is used and the original aspect ratio is ignored.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "The image file of the map in the requested format."
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -H \"Authorization: Bearer ACCESS_TOKEN\" https://www.mindmeister.com/api/v2/maps/1024.png?disposition=inline&width=200"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```